Package org.drinkless.tdlib

# Class TdApi.EditBusinessMessageMedia

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.BusinessMessage>
org.drinkless.tdlib.TdApi.EditBusinessMessageMedia

Enclosing class:
  TdApi

public static class TdApi.EditBusinessMessageMedia extends TdApi.Function<TdApi.BusinessMessage>
Edits the content of a message with an animation, an audio, a document, a photo or a video in a message sent on behalf of a business account; for bots only.

Returns `BusinessMessage`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `businessConnectionId`
  Unique identifier of business connection on behalf of which the message was sent.
  `long`
  `chatId`
  The chat the message belongs to.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputMessageContent`
  `inputMessageContent`
  New content of the message.
  `long`
  `messageId`
  Identifier of the message.
  `TdApi.ReplyMarkup`
  `replyMarkup`
  The new message reply markup; pass null if none; for bots only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditBusinessMessageMedia()`
  Default constructor for a function, which edits the content of a message with an animation, an audio, a document, a photo or a video in a message sent on behalf of a business account; for bots only.
  `EditBusinessMessageMedia(String businessConnectionId, long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
  Creates a function, which edits the content of a message with an animation, an audio, a document, a photo or a video in a message sent on behalf of a business account; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### businessConnectionId

    public String businessConnectionId
    Unique identifier of business connection on behalf of which the message was sent.

  - ### chatId

    public long chatId
    The chat the message belongs to.

  - ### messageId

    public long messageId
    Identifier of the message.

  - ### replyMarkup

    public TdApi.ReplyMarkup replyMarkup
    The new message reply markup; pass null if none; for bots only.

  - ### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent
    New content of the message. Must be one of the following types: inputMessageAnimation, inputMessageAudio, inputMessageDocument, inputMessagePhoto or inputMessageVideo.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditBusinessMessageMedia

    public EditBusinessMessageMedia()
    Default constructor for a function, which edits the content of a message with an animation, an audio, a document, a photo or a video in a message sent on behalf of a business account; for bots only.

    Returns `BusinessMessage`

  - ### EditBusinessMessageMedia

    public EditBusinessMessageMedia(String businessConnectionId, long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
    Creates a function, which edits the content of a message with an animation, an audio, a document, a photo or a video in a message sent on behalf of a business account; for bots only.

    Returns `BusinessMessage`

    Parameters:
      `businessConnectionId` - Unique identifier of business connection on behalf of which the message was sent.
      `chatId` - The chat the message belongs to.
      `messageId` - Identifier of the message.
      `replyMarkup` - The new message reply markup; pass null if none; for bots only.
      `inputMessageContent` - New content of the message. Must be one of the following types: inputMessageAnimation, inputMessageAudio, inputMessageDocument, inputMessagePhoto or inputMessageVideo.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.BusinessMessage>`
    Returns:
      this.CONSTRUCTOR